/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body {
background: #FFD1DC;
  /* background: linear-gradient(180deg,rgba(255, 138, 226, 1) 0%, rgba(179, 75, 141, 1) 100%); */
  background-repeat: repeat-x;
  background-attachment: scroll;
  /* background-color: #111524;*/
  color: #ed476e;
  font-family: 'Georgia', serif;
  font-size: 20px;
  margin: 0% 2% 0% 2%; /* TOP RIGHT BOTTOM LEFT */
  /* debugging: */
  outline-style: none;
  outline-color: red;
}

#capyreaction {
  background-color: red;
  width: 220px;
  margin: 0 0 0 20%;
  color: white;
  text-align: center;
  padding: 2px;
}

.square {
  background: #f7f0f2;
  border-style: solid;
  border-color: black;
  border-width: 10px;
  border-radius: 50px; 
  margin: 0 3% 0 3%;
  
}

.squaretitle {
  color: white;
  background: #ff3867;
  text-align: center;
  border-bottom: solid;
  border-color: black;
  border-radius: 40px 40px 0 0; /*TL TR BR BL */
  padding: 1px 0 0 0;
  
}

.squareinside {
  padding: 20px;
  margin: 20px;
  background: #FFD1DC;
  border-radius: 40px;
  
}

h1 {
  text-shadow: 2px 2px pink;
}

 /* Link colors */
a {
  color: #2aace8;
}

.flagcontainer {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  
  
}

.flagcontainer div{
  width: 100px;
  margin: 10px;
  padding: 10px;
  text-align: center;  
  font-size: 20px;
}

#border {
  border-style: solid;
  border-radius: 20px;
  width: fit-content;
  text-align: justify;
  margin: 0 auto 0 auto;
  padding: 0 3% 0 3%;
}

/* Style the header */
.header {
  background-color: #f1f1f1;
  padding: 30px;
  text-align: center;
  font-size: 35px;
}




/*-------------- HEADER STUFF START -------------- */
/* Container for flexboxes */
.row {
  display: -webkit-flex;
  display: flex;
}

/* Create three unequal columns that sits next to each other */
.column {
  padding: 10px;
}

/* Left and right column */
.column.side {
   -webkit-flex: 1;
   -ms-flex: 1;
   flex: 1;
}

/* Middle column */
.column.middle {
  -webkit-flex: 2;
  -ms-flex: 2;
  flex: 2;
}

/* Style the footer */
.footer {
  padding: 10px;
  text-align: center;
}

/* Responsive layout - makes the three columns stack on top of each other instead of next to each other */
@media (max-width: 700px) {
  .row {
    -webkit-flex-direction: column;
    flex-direction: column;
  }
  .column{
    width: 100% ;
    
  }
}


/*-------------- HEADER STUFF END -------------- */

/* -------------- TOOLTIP STUFF FROM: https://stackoverflow.com/questions/11716916/how-do-i-add-a-tooltip-to-an-image-in-html ---------------------*/
.tooltip {
  display: inline-block;
  text-align: center;
  position: relative;
}

.tooltip .tooltiptext {
visibility: hidden;
  position: absolute;   
  top: 90%;             
  left: 50%;             
  transform: translateX(-50%);
  background-color: #ff3867;
  color: #fff;
  padding: 5px;
  border-radius: 6px;
  white-space: nowrap;
  z-index: 10;
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}

/* ------------- TOOLTIP STUFF OVER ----------------- */



